angular.module('app').run(['$rootScope', '$state', '$stateParams', 
    function ($rootScope, $state, $stateParams) {
        $rootScope.$state = $state;
        $rootScope.$stateParams = $stateParams;
    }
]).config(['$stateProvider', '$urlRouterProvider',
    function($stateProvider, $urlRouterProvider){
        $urlRouterProvider.otherwise('/setting-user');
        $stateProvider.state('setting-user',{
            url:'/setting-user:firstLoginComfirm',
            templateUrl:'templates/setting-user.html'
        })
        .state('setting-enterprise',{
            url:'/setting-enterprise',
            templateUrl:'templates/setting-enterprise.html'
        })
        .state('setting-hotkey',{
            url:'/setting-hotkey',
            templateUrl:'templates/setting-hotkey.html'
        })
        .state('setting-sso',{
            url:'/setting-sso',
            templateUrl:'templates/setting-sso.html'
        })
        .state('setting-net',{
            url:'/setting-net',
            templateUrl:'templates/setting-net.html'
        })
        .state('setting-system',{
            url:'/setting-system',
            templateUrl:'templates/setting-system.html'
        });
    }
])